/*
 *   filesrch.h
 *
 *   This file is part of the ttf2pk package.
 *
 * Copyright 1997-1998 by
 *     Frederic Loyer <loyer@ensta.fr>
 *     Werner Lemberg <a7971428@unet.univie.ac.at>
 */

#ifndef FILESRCH_H
#define FILESRCH_H

/* arguments are the full program name and an identification string */

void TeX_search_init(char *program_name, char *identifier);

/* the next function returns a version string */

char *TeX_search_version(void);

/*
 *  the following functions take a file name (either relative or absolute)
 *  and return the complete path to the file.
 */

char *TeX_search_tfm(char *name);
char *TeX_search_encoding_file(char *name);
char *TeX_search_config_file(char *name);
char *TeX_search_ttf_file(char *name);

#endif /* FILESRCH_H */


/* end */
